#seu!/bin/sh
#
# RoboCup USOpen 2005
# 2D Simulation League
#
# Team startup script

host=$1

# Example player startup
# Modify for your players

#for ((i=1;i<=11;i++)) do
#  ./player -h $host -t MyTeam -n $i &
#  sleep 1
#done

team="seu_t"
#mydir="/home/tiger"
mydir="/home/go_osaka/go/first_round/bin/usopen"

player_conf="${mydir}/bin/player.conf"
formation_conf="${mydir}/bin/formations.conf"

playergoalie="${mydir}/bin/SEU_T_player"
playerdefender="${mydir}/bin/SEU2005_player"
playermidfielder="${mydir}/bin/SEU2005_player"
playerattacker="${mydir}/bin/SEU_T_player"

coach=${mydir}/bin/SEU2005_coach

cd ${mydir};${playergoalie} -num 1 -host ${host} -team ${team} -f ${formation_conf} -c ${player_conf} &
echo "goalie 1"
sleep 2

for (( i=2 ; i<7 ; i=$i+1 )) ; do
  cd ${mydir};${playerdefender} -num ${i} -host ${host} -team ${team} -f ${formation_conf} -c ${player_conf} &
  echo "player defender ${i}"
  sleep 1
done

cd ${mydir};${playermidfielder} -num 7 -host ${host} -team ${team} -f ${formation_conf} -c ${player_conf} &
echo "player midfielder 7"
sleep 2

cd ${mydir};${playermidfielder} -num 8 -host ${host} -team ${team} -f ${formation_conf} -c ${player_conf} &
echo "player midfielder 8"
sleep 4

for (( i=9 ; i<12 ; i=$i+1 )) ; do
  cd ${mydir};${playerattacker} -num ${i} -host ${host} -team ${team} -f ${formation_conf} -c ${player_conf} &
  echo "player attacker ${i}"
  sleep 1
done

cd ${mydir};${coach} -host ${host} -team ${team} -f ${formation_conf} &
echo "SEU_T online coach"
wait
